Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1994982 - pango-1.48.8-1.fc34.x86_64 crashes Zim wiki
Summary: pango-1.48.8-1.fc34.x86_64 crashes Zim wiki
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1996613 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-18 09:02 UTC by borzole
Modified: 2021-08-27 18:52 UTC (History)
13 users (show)

Fixed In Version: pango-1.48.9-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-27 18:52:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description borzole 2021-08-18 09:02:25 UTC
Description of problem:

After update (2021-08-15) pango to version pango-1.48.8-1.fc34.x86_64
"Zim wiki" (Zim-0.73.5-1.fc34.noarch) crashes when opening page with "done checkbox" eg.:

[ ] sth todo - this is ok
[*] sth todo - this crashes Zim

or page with a strike format https://github.com/zim-desktop-wiki/zim-desktop-wiki/issues/1548

When I downgrade pango to version pango-1.48.4-1.fc34.x86_64, Zim works ok.
$ sudo dnf downgrade pango-1.48.4-1.fc34.x86_64


Version-Release number of selected component (if applicable):
pango-1.48.8-1.fc34.x86_64
Zim-0.73.5-1.fc34.noarch


How reproducible:

Steps to Reproduce:
1. dnf install pango-1.48.8-1.fc34.x86_64
2. dnf install Zim-0.73.5-1.fc34.noarch
3. Open Zim, write todo list eg:
[ ] asdf
4. click on [ ] to change it as "done task"  (or press F12) 


Actual results:

From terminal: 
Floating point exception (core dumped)

From journalctl:
sie 18 08:08:14 jedral.fedora.hp systemd-coredump[20877]: Process 19845 (zim) of user 1000 dumped core.
                                                          
                                                          Stack trace of thread 19845:
                                                          #0  0x00007ff6053e8c5b draw_strikethrough (libpango-1.0.so.0 + 0x2ac5b)
                                                          #1  0x00007ff6053e9a83 pango_renderer_part_changed (libpango-1.0.so.0 + 0x2ba83)
                                                          #2  0x00007ff6053e9c4b pango_renderer_set_alpha (libpango-1.0.so.0 + 0x2bc4b)
                                                          #3  0x00007ff6053e9df8 pango_renderer_default_prepare_run (libpango-1.0.so.0 + 0x2bdf8)
                                                          #4  0x00007ff604a60127 gtk_text_renderer_prepare_run (libgtk-3.so.0 + 0x31d127)
                                                          #5  0x00007ff6053f0de2 pango_renderer_draw_layout_line (libpango-1.0.so.0 + 0x32de2)
                                                          #6  0x00007ff604a69ea7 gtk_text_layout_draw (libgtk-3.so.0 + 0x326ea7)
                                                          #7  0x00007ff604a80f7f draw_text.lto_priv.0 (libgtk-3.so.0 + 0x33df7f)
                                                          #8  0x00007ff6049ebacd _gtk_pixel_cache_draw (libgtk-3.so.0 + 0x2a8acd)
                                                          #9  0x00007ff604a82793 gtk_text_view_draw.lto_priv.0 (libgtk-3.so.0 + 0x33f793)
                                                          #10 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #11 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #12 0x00007ff6048c42ad gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x1812ad)
                                                          #13 0x00007ff604a1bda2 gtk_scrolled_window_render (libgtk-3.so.0 + 0x2d8da2)
                                                          #14 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #15 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #16 0x00007ff604a13b55 gtk_scrolled_window_draw (libgtk-3.so.0 + 0x2d0b55)
                                                          #17 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #18 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #19 0x00007ff6048c42ad gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x1812ad)
                                                          #20 0x00007ff604866391 gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0x123391)
                                                          #21 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #22 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #23 0x00007ff604866c35 gtk_box_draw.lto_priv.0 (libgtk-3.so.0 + 0x123c35)
                                                          #24 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #25 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #26 0x00007ff6048c42ad gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x1812ad)
                                                          #27 0x00007ff604866391 gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0x123391)
                                                          #28 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #29 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #30 0x00007ff604866c35 gtk_box_draw.lto_priv.0 (libgtk-3.so.0 + 0x123c35)
                                                          #31 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #32 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #33 0x00007ff6049cb9dc gtk_paned_render (libgtk-3.so.0 + 0x2889dc)
                                                          #34 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #35 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #36 0x00007ff6049c43e5 gtk_paned_draw (libgtk-3.so.0 + 0x2813e5)
                                                          #37 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #38 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #39 0x00007ff6049cba74 gtk_paned_render (libgtk-3.so.0 + 0x288a74)
                                                          #40 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #41 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #42 0x00007ff6049c43e5 gtk_paned_draw (libgtk-3.so.0 + 0x2813e5)
                                                          #43 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #44 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #45 0x00007ff6048c42ad gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x1812ad)
                                                          #46 0x00007ff604866391 gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0x123391)
                                                          #47 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #48 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #49 0x00007ff604866c35 gtk_box_draw.lto_priv.0 (libgtk-3.so.0 + 0x123c35)
                                                          #50 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #51 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #52 0x00007ff6049cb9dc gtk_paned_render (libgtk-3.so.0 + 0x2889dc)
                                                          #53 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #54 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #55 0x00007ff6049c43e5 gtk_paned_draw (libgtk-3.so.0 + 0x2813e5)
                                                          #56 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #57 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          #58 0x00007ff6049cba74 gtk_paned_render (libgtk-3.so.0 + 0x288a74)
                                                          #59 0x00007ff6048bbaf1 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x178af1)
                                                          #60 0x00007ff6048cfd92 gtk_css_gadget_draw (libgtk-3.so.0 + 0x18cd92)
                                                          #61 0x00007ff6049c43e5 gtk_paned_draw (libgtk-3.so.0 + 0x2813e5)
                                                          #62 0x00007ff604ae30e4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x3a00e4)
                                                          #63 0x00007ff6048c41a5 gtk_container_propagate_draw (libgtk-3.so.0 + 0x1811a5)
                                                          
                                                          Stack trace of thread 19848:
                                                          #0  0x00007ff6148a05bf __poll (libc.so.6 + 0xf55bf)
                                                          #1  0x00007ff606a9e47c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa947c)
                                                          #2  0x00007ff606a47c03 g_main_context_iteration (libglib-2.0.so.0 + 0x52c03)
                                                          #3  0x00007ff606a47c51 glib_worker_main (libglib-2.0.so.0 + 0x52c51)
                                                          #4  0x00007ff606a78c32 g_thread_proxy (libglib-2.0.so.0 + 0x83c32)
                                                          #5  0x00007ff614793299 start_thread (libpthread.so.0 + 0x9299)
                                                          #6  0x00007ff6148ab353 __clone (libc.so.6 + 0x100353)
                                                          
                                                          Stack trace of thread 19849:
                                                          #0  0x00007ff6148a05bf __poll (libc.so.6 + 0xf55bf)
                                                          #1  0x00007ff606a9e47c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa947c)
                                                          #2  0x00007ff606a49a93 g_main_loop_run (libglib-2.0.so.0 + 0x54a93)
                                                          #3  0x00007ff60683ad6a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x110d6a)
                                                          #4  0x00007ff606a78c32 g_thread_proxy (libglib-2.0.so.0 + 0x83c32)
                                                          #5  0x00007ff614793299 start_thread (libpthread.so.0 + 0x9299)
                                                          #6  0x00007ff6148ab353 __clone (libc.so.6 + 0x100353)




Expected results:


Additional info:

Comment 1 Robin Lee 2021-08-23 11:40:58 UTC
*** Bug 1996613 has been marked as a duplicate of this bug. ***

Comment 2 Otto Liljalaakso 2021-08-23 13:07:51 UTC
Pango 1.50 has a fix for #599 [1] that seems related.
I suggest attempting to reproduce again
after Pango 1.50 appears in repositories.

[1]: https://gitlab.gnome.org/GNOME/pango/-/issues/599

Comment 6 Fedora Update System 2021-08-26 04:27:48 UTC
FEDORA-2021-11bb6c38b2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-11bb6c38b2

Comment 7 Fedora Update System 2021-08-26 21:07:42 UTC
FEDORA-2021-11bb6c38b2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-11bb6c38b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-11bb6c38b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 borzole 2021-08-27 06:47:28 UTC
FEDORA-2021-11bb6c38b2 works.
Thank You :)

Comment 9 Fedora Update System 2021-08-27 18:52:27 UTC
FEDORA-2021-11bb6c38b2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.